Skip to content

Remove products from the store

POST
/api/v1/workspaces/{workspaceId}/channel-connections/{connectionId}/products/remove
curl --request POST \
--url https://api.crossmart.io/api/v1/workspaces/example/channel-connections/example/products/remove \
--header 'Content-Type: application/json' \
--data '{ "productIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }'

They are delisted at once, and the automatic rule leaves them out.

workspaceId
required
string
connectionId
required
string
Media typeapplication/json
object
productIds
required
Array<string>
>= 1 items <= 250 items

Example generated

{
"productIds": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
]
}
Media typeapplication/json
object
count
required

Products added or removed

number

Example generated

{
"count": 1
}